View Issue Details

IDProjectCategoryView StatusLast Update
0001269OpenMPT[All Projects] Player input plugins (xmp-openmpt, in_openmpt, foo_openmpt)public2019-11-02 13:59
Reportermanx Assigned Tomanx  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product VersionOpenMPT 1.29.00.* (current testing) 
Target VersionOpenMPT 1.?? (libopenmpt 1.0) (goals)Fixed in Version 
Summary0001269: remove in_winamp
Description

libopenmpt is now used by the 2 major winamp distributions:

We should consider removing in_winamp from libopenmpt completely.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2019-10-11 13:49

administrator   ~0004106

I'm not sure this is a good idea at this point. Winamp 5.8 was more or less only released because it was previously leaked, and from what is known there is no intent to further provide any official updates to Winamp 5. This means that Winamp users would have to stick to an unfinished in_mod rewrite with severely reduced functionality (from what I remember, the settings dialog is missing entirely) and very outdated libopenmpt version.

I also couldn't find any repository for the in_openmpt version shipping with WACUP (I suppose it would be at https://github.com/WACUP/ if it existed), meaning that we would either leave people with an outdated version if we stop updating our plugin, or they would have to rely on a closed-source plugin.

I think this only makes sense if we ask dro if he intends to keep in_openmpt updated and open-source, and if it can be used with Winamp 5.666 / 5.8.

Saga Musix

Saga Musix

2019-10-26 15:50

administrator   ~0004119

To reduce maintenance burden, maybe we could also make our player plugins use a dynamic version of libopenmpt that can be replaced by the user. This way the plugin itself could be treated as an external project that only needs to be updated if there are breaking API changes or new useful features are introduced.

manx

manx

2019-11-02 13:59

administrator   ~0004135

I do not think changing the way we build in_openmpt changes anything with regard to maintenance. To the contrary, splitting would in turn increase support overhead.

Currently available Winamp versions:

Winamp 5.666 Build 3516 (5.6.6.3516) (2013-12-12)

Winamp 5.666 redux Build 3516 (5.6.6.3516) (2013-12-25)

Winamp 5.8 Beta Build 3660 (2018-10-19)

Winamp 5.666 WACUP Build v1.0.8.4346 (2019-10-14)

  • https://getwacup.com/preview/
  • based on Winamp 5.666 Build 3516 (5.6.6.3516)
  • fork with beta releases, regularly updated, maintained
  • uses libopenmpt 0.4

WACUP provides mostly-up-to-date libopenmpt itself, and all other Winamp branches are most likely dead and unsupported software anyways. I'd rather not continue support for known-dead and known-unsupported other branches.

Issue History

Date Modified Username Field Change
2019-10-11 13:27 manx New Issue
2019-10-11 13:27 manx Status new => assigned
2019-10-11 13:27 manx Assigned To => manx
2019-10-11 13:49 Saga Musix Note Added: 0004106
2019-10-11 14:28 manx Target Version OpenMPT 1.29 / libopenmpt 0.5 (goals) => OpenMPT 1.?? (libopenmpt 1.0) (goals)
2019-10-26 15:50 Saga Musix Note Added: 0004119
2019-11-02 13:59 manx Note Added: 0004135